2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* DockBar.cs:
	* TabStrip.cs:
	* DockItem.cs:
	* Makefile.am:
	* HslColor.cs:
	* DockFrame.cs:
	* DockGroup.cs:
	* DockObject.cs:
	* DockBarItem.cs:
	* AutoHideBox.cs:
	* DockContainer.cs:
	* DockGroupItem.cs:
	* DockItemToolbar.cs:
	* ShadedContainer.cs:
	* DockItemContainer.cs:
	* MonoDevelop.Dock.csproj: Global look&feel improvements.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* DockItem.cs:
	* TabStrip.cs:
	* DockBarItem.cs: Track API changes for lazy loading images.

2010-01-22  Lluis Sanchez Gual  <lluis@novell.com>

	* DockFrame.cs: Increase delay for autoshow. Fixes bug #571268
	  - Pads show on hover too aggressively.

2009-12-23  Lluis Sanchez Gual  <lluis@novell.com>

	* DockItem.cs:
	* DockFrame.cs: Reduce default delay for showing a minimized
	  pad. Added method for checking if a pad is visible in a
	  layout.

2009-11-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Dock.csproj: Fix build.

2009-11-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Use system Mono.Cairo.

2009-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* DockBarItem.cs: Make autohidden pads' buttons look nicer on
	  Windows. 

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Dock.csproj: Reference the mono-cairo package.

2009-10-16  Mike Krüger  <mkrueger@novell.com>

	* DockItemContainer.cs: Handled icon loading error.

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* DockItem.cs:
	* TabStrip.cs: When clicking on a notebook tab, give the focus
	  to the new item being shown, so the user can use it with the
	  keyboard right away. As a side effect, it fixes bug #356566
	  - Problem with widget properties in gui desiner.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* DockItem.cs: If the DockItem status is AutoHide always give
	  focus on Present (bool giveFocus).

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* DockItem.cs: Fire the ContentRequired event only when the
	  content is really required, that is, when it is going to be
	  shown. It won't be fired for example, if the pad is selected
	  but not visible in a notebook.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* TabStrip.cs:
	* DockItemContainer.cs: Fixed warnings.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Dock.csproj: Updated dependencies. We now depend
	  on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* DockContainer.cs: Fix potential crash. The notebook list
	  might be navigated after unparenting the child, so the child
	  must be removed first.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* DockItem.cs:
	* DockFrame.cs:
	* DockItemContainer.cs: Fix some size allocation warnings,
	  caused by negative widths.

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* AssemblyInfo.cs: Commented out empty assembly key file
	  attribute (Bug 513981 - Project template causes CS1726
	  errors).

2009-05-22  Lluis Sanchez Gual  <lluis@novell.com>

	* TabStrip.cs: Draw a small drop shadow below the tabs.

2009-05-22  Lluis Sanchez Gual  <lluis@novell.com>

	* TabStrip.cs:
	* DockFrame.cs:
	* DockItemContainer.cs: Improve look of pad tabs on windows.

2009-05-22  Lluis Sanchez Gual  <lluis@novell.com>

	* DockFrame.cs: Reduce spacing.

	* Makefile.am:
	* DockItemContainer.cs:
	* MonoDevelop.Dock.csproj: Add some gradients. Disable drawing
	  of tab gap.

2009-05-22  Lluis Sanchez Gual  <lluis@novell.com>

	* TabStrip.cs:
	* DockItemContainer.cs: Use a custom frame instead of
	  Gtk.Frame. This frame always draws a 1-pixel border. The
	  border is not drawn if below it there is a tab. Reduced the
	  padding used in tabs.

	* DockBar.cs:
	* DockFrame.cs: Hide the autohide dock bars when nothing is
	  docked.

	* DockGroup.cs: Use a custom frame instead of Gtk.Frame. This
	  frame always draws a 1-pixel border.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Dock.csproj: don't require specific
	gtk-sharp version.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* DockTest.mdp: Remove unused files.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Dock.mds:
	* MonoDevelop.Dock.mdp:
	* MonoDevelop.Dock.csproj: Migrated to MSBuild file format.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Dock.mdp: Flush project format changes.

2008-12-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Dock.mdp: Updated.

	* DockFrame.cs:
	* DockGroup.cs:
	* DockBarItem.cs:
	* DockContainer.cs: Giving focus when presenting a dock item is now
	optional.

	* DockItem.cs: Added new ContentVisible property, which is true when the
	content is currently displayed. E.g. if an item is docked in a
	notebook, and it is not the active tab, Visible will be true, but
	ContentVisible will be false.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* DockItem.cs: Added missing null check.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* DockItem.cs:
	* DockGroup.cs:
	* DockBarItem.cs: Focusing fixes.

	* Makefile.am: Make it work for parallel build.

2008-10-31  Lluis Sanchez Gual  <lluis@novell.com>

	* DockBarItem.cs: Improved dock item focusing. Close autohide panels
	when pressing Esc.

2008-10-28  Lluis Sanchez Gual  <lluis@novell.com>

	* DockItem.cs:
	* DockBarItem.cs: When presenting an iconized item, give it the focus
	and show it.

	* DockGroup.cs: Focus the item's widget when presenting it.

2008-10-09  Christian Hergert  <chris@dronelabs.com>

	* DockGroup.cs: Fix a nullref when compressing an expanded editor tab
	back to normal size.

2008-09-23  Lluis Sanchez Gual <lluis@novell.com> 

	* DockGroup.cs, DockItem.cs, DockItemBehavior.cs, DockContainer.cs: Add
	  support for sticky dock items, that is, items which when visible,
	  are visible in all layouts.

2008-09-12  Mike Kestner <mkestner@novell.com> 

	* DockContainer.cs:
	* DockFrame.cs:
	Don't iterate directly over internal lists of widgets, since the
	callback can remove the widget and invalidate the enumerator.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Dock.mdp: Updated.

2008-07-14  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs: Fix copyright header.

2008-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* DockGroup.cs: RemoveItemRec: don't keep looking if the item has
	  already been removed.

2008-05-26  Lluis Sanchez Gual <lluis@novell.com> 

	* TabStrip.cs: Fix gtk warning.

2008-03-17  Michael Hutchinson <mhutchinson@novell.com> 

	* DockItem.cs: Draw dockable/floating/autohide options as radio
	  buttons, as they behave this way. Thanks to Gabriel Burt for this
	  patch.

2008-03-10  Lluis Sanchez Gual <lluis@novell.com> 

	* DockFrame.cs: Update autohide buttons when the title of an item
	  changes. Fixes bug #368436 - Build Output autohide button missing.

2008-02-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Dock.mdp: Fix project references.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* DockContainer.cs: Added missing null check.

2008-01-18  Lluis Sanchez Gual <lluis@novell.com> 

	* DockObject.cs: Use invariant locale to store doubles. Fixes bug #354567.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* layout.glade: Fix typo.

2008-01-11  Lluis Sanchez Gual <lluis@novell.com> 

	* DockFrame.cs: Actually remove the item in RemoveItem.

2008-01-10  Lluis Sanchez Gual <lluis@novell.com> 

	* DockGroupItem.cs, DockGroup.cs, DockItem.cs, DockFrame.cs: Load stored
	  item position, even if the item has not been added to the frame. In this
	  way it is possible to restore the position of items which are
	  dynamically added.

2008-01-08  Lluis Sanchez Gual <lluis@novell.com> 

	* DockBarItem.cs: Don't auto-hide the item while it has the focus.

2007-12-20  Lluis Sanchez Gual <lluis@novell.com> 

	* DockFrame.cs: Don't crash if trying to hide an item which is not yet
	  included in the layout.

2007-11-15  Aaron Bockover  <abockover@novell.com>

	* DockContainer.cs: Draw a border on the header, change the background 
	fill to active on hover; just some visual touch-up

2007-11-13  Lluis Sanchez Gual <lluis@novell.com> 

	* DockGroup.cs: Call SizeAllocate on all children even when children
	  position has not changed. Fixes some drawing issues.

2007-11-12  Lluis Sanchez Gual <lluis@novell.com> 

	* TabStrip.cs: Use Notebook as a base class. Fixes rendering issues in gtk
	  themes which check the type of the widget when drawing the tabs.

2007-11-11  Lluis Sanchez Gual <lluis@novell.com> 

	* DockGroupItem.cs, DockItem.cs: The VisibleChanged event is now fired by a
	  UpdateVisibleStatus method, which keeps track of old visibility status.
	* DockGroup.cs, DockFrame.cs: Implemented RemoveItem.
	* DockContainer.cs: Some dynamically added items may not be present in a
	  layout. Make sure they are explicitely hidden in this case.

2007-11-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix dist.

2007-11-10  Lluis Sanchez Gual <lluis@novell.com> 

	* DockGroupItem.cs: Don't allow docking on a hidden item.
	* DockGroup.cs: Update group visibility when removing the last tab of a
	  tabbed group. Fix issues when locking for dock target in a vgroup.
	* PlaceholderWindow.cs: Don't animate big rectangles, since it generates
	  flickering.

2007-11-10  Lluis Sanchez Gual <lluis@novell.com> 

	* DockGroup.cs: Fix crash when moving the last visible item of a tabbed
	  group. Fix grip orientation.

2007-11-10  Lluis Sanchez Gual <lluis@novell.com> 

	* DockBarItem.cs: Don't hide the item if the mouse cursor is over the
	  autohide box.

2007-11-10  Lluis Sanchez Gual <lluis@novell.com> 

	* AutoHideBox.cs, DockGroupItem.cs, stock-auto-hide.png,
	  MonoDevelop.Dock.mdp, DockBarItem.cs, stock-close-12.png, TabStrip.cs,
	  DockGroup.cs, DockItem.cs, DockPosition.cs, DockBar.cs, DockObject.cs,
	  PlaceholderWindow.cs, DockLayout.cs, DockItemBehavior.cs,
	  stock-dock.png, DockContainer.cs, DockFrame.cs, DockGroupType.cs,
	  DockItemContainer.cs, DockItemStatus.cs, Makefile.am,
	  DockFrameTopLevel.cs: New docking manager implementation.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Dock.mdp: Project file names updated by change in MD path
	  functions.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* DockItem.cs: Restore style attachment when realizing the window. Fixes bug
	  #309204 although reopens #319478.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Dock.mdp, Makefile.am: Reorganized the extension point
	  hierarchy. Embedded all add-in manifests as resources.

2007-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Dock.mdp: Update.

2007-07-13  Mike Krüger <mkrueger@novell.com> 

	* DragNotebook.cs: Worked on bug 81349:double-click src tab =>
	  maximize.

2007-06-06  Lluis Sanchez Gual <lluis@novell.com> 

	* DockObject.cs, DockLayout.cs, DockNotebook.cs, DockPaned.cs,
	  DockMaster.cs: Real fix for bugs #81547 and #61113. The method
	  gtk_paned_find_neighbours was crashing because ForAll was overriden
	  in DockPaned, and the override was skipping the child GtkPaned
	  (needed by gtk_paned_find_neighbours to find the next paned to
	  focus in the paned hierarchy). Also, in DockObject, properties to
	  be serialized are now cached per-class, instead of per-object.
	* DockPlaceholder.cs: Commented debug output.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Dock.mdp: Updated.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs: Avoid incremental change of version.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Dock.mdp, Makefile.am: Synchronized MD project with
	  makefile.

2007-02-12  Lluis Sanchez Gual <lluis@novell.com> 

	* DockItem.cs: Fixed bug #76646.

2007-02-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Dock.mdp, Makefile.am: Synchronized the MD project and
	  the Makefile

2006-09-26  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* DockMaster.cs: Changed lines to solid when dragging
	a dock item will result in it being shown in a separate
	window.

2006-09-21 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Dock.mdp: Added missing resources.

2006-07-18 Lluis Sanchez Gual  <lluis@novell.com>

	* DockPlaceholder.cs:
	* DockItem.cs:
	* DockObject.cs: 
	* Dock.cs:
	* DockNotebook.cs:
	* DockPaned.cs: Fixed several bugs related to hiding, showing and
	  iconifying docks.
	
	* MonoDevelop.Dock.mdp: Updated.

2006-07-05 Lluis Sanchez Gual  <lluis@novell.com>

	* DragNotebook.cs: Provide the correct value for "old page" when
	  firing the TabsReordered event.

2006-07-04 Lluis Sanchez Gual  <lluis@novell.com>

	* DockItem.cs: Added some events which are fired when the item is
	  shown or hidden.

2006-06-25  John Luke  <john.luke@gmail.com>

	* Makefile.am: change path of dock-test.exe
	* DockItem.cs: don't try to allocate negative values

2006-06-25  John Luke  <john.luke@gmail.com>

	* *.cs: use generic collections

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Dock.mdp: Updated.

2006-04-30  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.Dock.mdp
	* Makefile.am
	* DragNotebook.cs: added - moved from MonoDevelop.Components, fixes
	* DockNotebook.cs: use DragNotebook 

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Dock.mdp: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.

2006-03-16  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* DockItem.cs: Added setter to the Iconified property.	

2006-03-03  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* DockBar.cs:
	* DockBarButton.cs:
	* DockItem.cs:
	* DockItemGrip.cs:
	Added comments, fixed a variable name and fixed a
	internationalization issue.

2006-03-03  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* DockBar.cs: Use correct tooltip for iconified docks.
	
2006-01-24  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* DockItem.cs:
	* Makefile.am:
	Added internationalization. Fixes bug 77102.

2006-01-22  Lluis Sanchez Gual <lluis@novell.com>

	* MonoDevelop.Dock/DockObject.cs: Store object properties
	in a hasthable to speed-up property access.
	* MonoDevelop.Dock/DockLayout.cs: Avoid unnecessary layout
	change events while loading a layout.

2005-08-20  John Luke  <john.luke@gmail.com>

	* DockItem.cs: fix some warnings with the new
	gtk#

2005-08-10  Ben Motmans  <ben.motmans@gmail.com>

	* MonoDevelop.Dock.mdp: references update

2005-06-27  John Luke  <john.luke@gmail.com>

	* DockLayout.cs: Save part of placeholders support
	
2005-06-27  John Luke  <john.luke@gmail.com>

	* DockLayout.cs: catch exception on invalid XML
	(SetupObject) guard against missing name attribute
	part of bug #75289, based on patch from
	Matthew Wright <matthew@willowgreen.f2s.com>

2005-06-04  John Luke  <john.luke@gmail.com>

	* DockPaned.cs: handle Shift|F8 to avoid crash for now
	* GdlDockTest.cs: remove C# 2 features

2005-04-28  John Luke  <john.luke@gmail.com>

	* DockBar.cs: remove redundent RemoveItem call
	* DockItem.cs: remove redundent LayoutChanged event
	
2005-04-17  John Luke  <john.luke@gmail.com>

	* Makefile.am: fix distcheck

2005-04-16  John Luke  <john.luke@gmail.com>

	* DockItem.cs:
	* Dock.cs:
	* DockItemGrip.cs:
	* DockNotebook.cs:
	* DockPaned.cs: use ForAll overload that takes a Callback
	* DockMaster.cs: remove unused field

2005-04-06  John Luke  <john.luke@gmail.com>

	* MonoDevelop.Dock.mdp:
	* MonoDevelop.Dock.mds: add project files

2005-03-31  John Luke  <john.luke@gmail.com>

	* DockPaned.cs: only emit layout_changed when
	the position has changed and on button release

2005-03-31  John Luke  <john.luke@gmail.com>

	* *.cs: add license headers
	* TODO: update

2005-03-29  Alp Toker  <alp@atoker.com>

	* DockPaned.cs: make the central pane resize rather than the edge
	panes

2005-03-24  John Luke  <john.luke@gmail.com>

	* DockLayout.cs (UpdateItemsModel): reduce chances of being stuck
	endlessly in the loop, thanks to toshok for pointing me to it

2005-03-17  John Luke  <john.luke@gmail.com>

	* Dock.cs:
	* DockItem.cs:
	* DockItemGrip.cs: clean up SizeRequest and SizeAllocate
	fixes one of our resizing bugs

2005-03-15  John Luke  <john.luke@gmail.com>

	* DockBar.cs:
	* DockBarButton.cs: simplify by just using the
	Clicked signal

2005-03-15  John Luke  <john.luke@gmail.com>

	* DockItemBehavior.cs: add NoGrip flag
	* DockItem.cs:
	* DockItemGrip.cs: hide/show the DockItemGrip based
	on NoGrip flag, not Locked status and update for that

2005-03-15  John Luke  <john.luke@gmail.com>

	* DockItem.cs: add comment about saving position
	* DockPaned.cs: override OnChildPlacement

2005-03-15  Lluis Sanchez Gual <lluis@novell.com>

	* DockItemGrip.cs: Redraw the grip if the title or the icon changes.
	Added some padding between the icon and the label.

2005-03-14  Lluis Sanchez Gual <lluis@novell.com>

	* DockItem.cs: Added property for getting the default position.

2005-03-13  Todd Berman  <tberman@off.net>

	* DockPlaceholder.cs: Use Conditional instead of #if

2005-03-13  John Luke  <john.luke@gmail.com>

	* DockNotebook.cs: not Automatic
	* DockPlaceholder.cs: port detach_cb and dock_cb
	is Automatic
	use Stack instead of ArrayList
	* DockMaster.cs: restore IsAutomatic code
	* DockItem.cs: not Automatic
	* DockObject.cs: small null check fix

2005-03-13  John Luke  <john.luke@gmail.com>

	* DockPaned.cs: fix little orientaion bug when
	loading the layout

2005-03-12  Todd Berman  <tberman@off.net>

	* DockItemGrip.cs: use .SetMarkup, not .SetText

2005-03-13  Lluis Sanchez Gual  <lluis@novell.com>

	* DockItemGrip.cs, DockMaster.cs: Fix potential memory leaks.

2005-02-28  John Luke  <john.luke@gmail.com>

	* DockBarButton.cs: new Button wrapper
	* DockBar.cs: fix iconfiy/uniconify
	* DockItem.cs: add item to dockbar on iconify
	* DockItemGrip.cs: fix warning by adding new to Item prop

2005-02-18  John Luke  <john.luke@gmail.com>

	* Gdl.mdsx
	* Gdl.cmbx
	* Makefile.Gdl
	* Makefile.solution.Gdl
	* make.sh
	* DockTest.cmbx: these were broken
	just kill it unless someone puts back a working project

	* DockItemGrip.cs
	* DockPlaceholder.cs
	* DockItem.cs
	* DockBar.cs: use WidgetFlags

	* Makefile: use this to build for now
